package dev.inmo.postssystem.services.posts.client.ui.create

import kotlinx.serialization.Serializable

@Serializable
sealed class PostCreateUIState {
    @Serializable
    object Init : PostCreateUIState()
    @Serializable
    object Uploading : PostCreateUIState()
    @Serializable
    object Fail : PostCreateUIState()
    @Serializable
    object Completed : PostCreateUIState()

}
